import React, { FC } from 'react';
declare type TLevel = 'primary' | 'secondary' | 'third' | 'fourth' | 'fifth' | 'sixth';
declare type TSize = 'small' | 'medium' | 'large';
declare type TStatus = 'normal' | 'hover' | 'active' | 'disabled';
interface IProps {
    level: TLevel;
    status: TStatus;
    size: TSize;
    className?: string;
}
declare const Button: FC<React.PropsWithChildren<IProps>>;
export default Button;
